gtkmm: Gtk::SelectionListModelImpl Class Reference

gtkmm 4.14.0

Public Member Functions | List of all members
Gtk::SelectionListModelImpl Class Reference

Gtk::SelectionListModelImpl is an object that implements the Gio::ListModel and Gtk::SelectionModel interfaces. More...

`#include <gtkmm/selectionlistmodelimpl.h>`

Inheritance diagram for Gtk::SelectionListModelImpl:
[legend]

## Public Member Functions
| SelectionListModelImpl (SelectionListModelImpl &&src) noexcept
SelectionListModelImpl & | operator= (SelectionListModelImpl &&src) noexcept
| ~SelectionListModelImpl () noexcept override
Public Member Functions inherited from Gtk::SelectionModel
| SelectionModel (SelectionModel &&src) noexcept
SelectionModel & | operator= (SelectionModel &&src) noexcept
| ~SelectionModel () noexcept override
GtkSelectionModel * | gobj ()
| Provides access to the underlying C GObject.
const GtkSelectionModel * | gobj () const
| Provides access to the underlying C GObject.
bool | is_selected (guint position) const
| Checks if the given item is selected.
Glib::RefPtr< const Bitset > | get_selection () const
| Gets the set containing all currently selected items in the model.
Glib::RefPtr< const Bitset > | get_selection (guint position, guint n_items) const
| Gets the set of selected items in a range.
bool | select_item (guint position, bool unselect_rest)
| Requests to select an item in the model.
bool | unselect_item (guint position)
| Requests to unselect an item in the model.
bool | select_range (guint position, guint n_items, bool unselect_rest)
| Requests to select a range of items in the model.
bool | unselect_range (guint position, guint n_items)
| Requests to unselect a range of items in the model.
bool | select_all ()
| Requests to select all items in the model.
bool | unselect_all ()
| Requests to unselect all items in the model.
bool | set_selection (const Glib::RefPtr< const Bitset > &selected, const Glib::RefPtr< const Bitset > &mask)
| Make selection changes.
Glib::SignalProxy< void(guint, guint)> | signal_selection_changed ()

## Additional Inherited Members
Static Public Member Functions inherited from Gtk::SelectionModel
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Protected Member Functions inherited from Gtk::SelectionModel
| SelectionModel ()
| You should derive from this class to use it.
void | selection_changed (guint position, guint n_items)
| Helper function for implementations of `Gtk::SelectionModel`.
virtual bool | is_selected_vfunc (guint position) const
virtual Glib::RefPtr< const Bitset > | get_selection_vfunc (guint position, guint n_items)
virtual bool | select_item_vfunc (guint position, bool unselect_rest)
virtual bool | unselect_item_vfunc (guint position)
virtual bool | select_range_vfunc (guint position, guint n_items, bool unselect_rest)
virtual bool | unselect_range_vfunc (guint position, guint n_items)
virtual bool | select_all_vfunc ()
virtual bool | unselect_all_vfunc ()
virtual bool | set_selection_vfunc (const Glib::RefPtr< const Bitset > &selected, const Glib::RefPtr< const Bitset > &mask)
Related Symbols inherited from Gtk::SelectionModel
Glib::RefPtr< Gtk::SelectionModel > | wrap (GtkSelectionModel *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gtk::SelectionListModelImpl is an object that implements the Gio::ListModel and Gtk::SelectionModel interfaces.

gtk_notebook_get_pages() and gtk_stack_get_pages() return an object of a class that implements both GListModel and GtkSelectionModel. Since that C class is not public, it's not wrapped in a C++ class. A C object of such a class can be wrapped in a Gtk::SelectionListModelImpl object. Gtk::SelectionListModelImpl does not directly correspond to any GTK class.

This class is intended only for wrapping C objects returned from GTK functions.

See also
  Gtk::Notebook::get_pages(), Gtk::Stack::get_pages()

Since gtkmm 4.2

## Constructor & Destructor Documentation

## ◆ SelectionListModelImpl()

Gtk::SelectionListModelImpl::SelectionListModelImpl | ( | SelectionListModelImpl && | src | ) |
| noexcept

## ◆ ~SelectionListModelImpl()

Gtk::SelectionListModelImpl::~SelectionListModelImpl | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ operator=()

SelectionListModelImpl & Gtk::SelectionListModelImpl::operator= | ( | SelectionListModelImpl && | src | ) |
| noexcept